package db;

import java.lang.reflect.Field;

public class DatabaseUtils {
	
	public static void checkIfPersistable(Field f) {
		boolean ok = false;
		for(Class<?> clazz : f.getType().getInterfaces()) {
			ok |= clazz.getName().endsWith("Persistable");
		}
		if (!ok) {
			throw new IllegalStateException("Field object don't implement Persistable");
		}
	}

}
